Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl
Interface SWRLRuleEngine

All Known Subinterfaces:
  SWRLRuleEngineBridge

All Known Implementing Classes:
  AbstractSWRLRuleEngineBridge

    public interface SWRLRuleEngine

This interface defines the methods that must be provided by a SWRL rule engine.

Method Summary
`Set<OWLAxiom>` | `getInferredAxioms()`
`Set<OWLIndividual>` | `getInferredIndividuals()`
`int` | `getNumberOfInferredAxioms()`
`int` | `getNumberOfInferredIndividuals()`
`SWRLRule` | `getRule(String ruleName)`
`void` | `importSWRLRulesAndOWLKnowledge()` Load rules and knowledge from OWL into bridge.
`void` | `importSWRLRulesAndOWLKnowledge(Set<String> ruleGroupNames)`
`void` | `importSWRLRulesAndOWLKnowledge(String ruleGroupName)`
`void` | `infer()` Load rules and knowledge from OWL into bridge, send them to a rule engine, run the rule engine, and write any inferred knowledge back to OWL.
`void` | `infer(Set<String> ruleGroupNames)`
`void` | `infer(String ruleGroupName)`
`void` | `reset()` Clear all knowledge from rule engine, deleted asserted knowledge from the bridge, and leave imported bridge knowledge intact.
`void` | `run()` Run the rule engine.
`void` | `writeInferredKnowledge2OWL()` Write knowledge inferred by rule engine back to OWL.

Method Detail

### infer

    void infer()
               throws SWRLRuleEngineException

  Load rules and knowledge from OWL into bridge, send them to a rule engine, run the rule engine, and write any inferred knowledge back to OWL.

  Throws:
    `SWRLRuleEngineException`

### infer

    void infer(String ruleGroupName)
               throws SWRLRuleEngineException

  Throws:
    `SWRLRuleEngineException`

### infer

    void infer(Set<String> ruleGroupNames)
               throws SWRLRuleEngineException

  Throws:
    `SWRLRuleEngineException`

### importSWRLRulesAndOWLKnowledge

    void importSWRLRulesAndOWLKnowledge()
                                        throws SWRLRuleEngineException

  Load rules and knowledge from OWL into bridge. All existing bridge rules and knowledge will first be cleared and the associated rule engine will be reset.

  Throws:
    `SWRLRuleEngineException`

### importSWRLRulesAndOWLKnowledge

    void importSWRLRulesAndOWLKnowledge(String ruleGroupName)
                                        throws SWRLRuleEngineException

  Throws:
    `SWRLRuleEngineException`

### importSWRLRulesAndOWLKnowledge

    void importSWRLRulesAndOWLKnowledge(Set<String> ruleGroupNames)
                                        throws SWRLRuleEngineException

  Throws:
    `SWRLRuleEngineException`

### run

    void run()
             throws SWRLRuleEngineException

  Run the rule engine.

  Throws:
    `SWRLRuleEngineException`

### writeInferredKnowledge2OWL

    void writeInferredKnowledge2OWL()
                                    throws SWRLRuleEngineException

  Write knowledge inferred by rule engine back to OWL.

  Throws:
    `SWRLRuleEngineException`

### reset

    void reset()
               throws SWRLRuleEngineException

  Clear all knowledge from rule engine, deleted asserted knowledge from the bridge, and leave imported bridge knowledge intact.

  Throws:
    `SWRLRuleEngineException`

### getRule

    SWRLRule getRule(String ruleName)
                     throws InvalidRuleNameException

  Throws:
    `InvalidRuleNameException`

### getNumberOfInferredIndividuals

    int getNumberOfInferredIndividuals()

### getNumberOfInferredAxioms

    int getNumberOfInferredAxioms()

### getInferredIndividuals

    Set<OWLIndividual> getInferredIndividuals()

### getInferredAxioms

    Set<OWLAxiom> getInferredAxioms()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.